#include<iostream>
using namespace std;
int main ()
{
int n, d, k, c=0, b=1;
    cin>>n>>d>>k;
    for(int i=1; i<=k; i++)
    {
        b=b+d;
        if(b>n)
        {
            b=b-n*(b/n);
        }
        c+=b;
        cout<<b;
    }
    cout<<c+1;
    return 0;
}
